diff --git a/src/v4l2/libcamerify.in b/src/v4l2/libcamerify.in
new file mode 100755
index 000000000000..161f5e49190e
--- /dev/null
+++ b/src/v4l2/libcamerify.in
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+if [ "$LD_PRELOAD" = "" ] ; then
+   LD_PRELOAD='@LIBCAMERA_V4L2_SO@'
+else
+   LD_PRELOAD="$LD_PRELOAD "'@LIBCAMERA_V4L2_SO@'
+fi
+
+export LD_PRELOAD
+
+help() {
+	echo "$0: Load an application with libcamera V4L2 compatibility layer preload"
+	echo " $0 [OPTIONS...] executable [args]"
+	echo " -d, --debug	Increase log level"
+	exit 1;
+}
+
+debug=0
+while [ $# -gt 0 ]; do
+	case $1 in
+		-d|--debug) debug=$((debug+1));;
+		-h) help; break;;
+		--) shift; break;;
+		-*) echo "Unrecognised option: $1"; help; break;;
+		*) break;;
+	esac
+	shift
+done
+
+[ $debug -gt 0 ] && loglevel=V4L2Compat:0
+[ $debug -gt 1 ] && loglevel=0
+[ "$loglevel" != "" ] && export LIBCAMERA_LOG_LEVELS=$loglevel
+
+exec "$@"
diff --git a/src/v4l2/meson.build b/src/v4l2/meson.build
index f78497b6799b..07ff9a6939d2 100644
--- a/src/v4l2/meson.build
+++ b/src/v4l2/meson.build
@@ -33,3 +33,17 @@ v4l2_compat = shared_library('v4l2-compat',
                              install : true,
                              dependencies : [libcamera_private, libdl],
                              cpp_args : v4l2_compat_cpp_args)
+
+# Provide a wrapper script to support easily loading applications with the V4L2
+# adaptation layer
+
+config_h.set('LIBCAMERA_V4L2_SO', get_option('prefix') / get_option('libdir') / 'v4l2-compat.so')
+
+summary({
+    'LIBCAMERA_V4L2_SO' : config_h.get('LIBCAMERA_V4L2_SO'),
+}, section : 'Paths')
+
+configure_file(input : 'libcamerify.in',
+               output : 'libcamerify',
+               configuration : config_h,
+               install_dir : get_option('bindir'))
